namespace ClipboardTool
{
    using System;

    using SerializationInfo = System.Runtime.Serialization.SerializationInfo;
    using StreamingContext = System.Runtime.Serialization.StreamingContext;

    [ Serializable ]
    internal class CommandLineException : ApplicationException
    {
        public CommandLineException() : 
            this("The command-line is invalid.") {} 

        public CommandLineException(string message) : 
            base(message) {}

        public CommandLineException(string message, Exception innerException) : 
            base(message, innerException) {}

        public CommandLineException(SerializationInfo info, StreamingContext context) :
            base(info, context) {}
    }
}