namespace ClipboardTool
{
    #region Imports

    using System;

    using TextReader = System.IO.TextReader;
    using TextWriter = System.IO.TextWriter;
    using IDataObject = System.Windows.Forms.IDataObject;

    #endregion

    internal interface IDataObjectHandler
    {
        IDataObject Copy(TextReader reader);
        bool Paste(IDataObject source, TextWriter writer);
    }
}
