namespace ClipboardTool
{
    using System;

    using SerializationInfo = System.Runtime.Serialization.SerializationInfo;
    using StreamingContext = System.Runtime.Serialization.StreamingContext;

    [ Serializable ]
    internal class MissingValueException : CommandLineException
    {
        public MissingValueException() : 
            this("A required value is missing from the command-line.") {} 

        public MissingValueException(string message) : 
            base(message) {}

        public MissingValueException(string message, Exception innerException) : 
            base(message, innerException) {}

        public MissingValueException(SerializationInfo info, StreamingContext context) :
            base(info, context) {}
    }
}