namespace ClipboardTool
{
    using System;

    using SerializationInfo = System.Runtime.Serialization.SerializationInfo;
    using StreamingContext = System.Runtime.Serialization.StreamingContext;

    [ Serializable ]
    internal class ProgramException : ApplicationException
    {
        public ProgramException() {} 

        public ProgramException(string message) : 
            base(message) {}

        public ProgramException(string message, Exception innerException) : 
            base(message, innerException) {}

        public ProgramException(SerializationInfo info, StreamingContext context) :
            base(info, context) {}
    }
}